------------------------------------------------------------------------------
--                                                                          --
--                        XVIEW ADA LIBRARY COMPONENTS                      --
--                                                                          --
--                              XV_FONT_PACKAGE                             --
--                                                                          --
--                                 S p e c                                  --
--                                                                          --
--          Copyright (c) 1995 Andreas Almroth, All Rights Reserved         --
--                                                                          --
-- The  XVIEW ADA  library is free software; you can redistribute it and/or --
-- modify  it  under terms of the  GNU  Library General  Public  License as --
-- published by the Free Software Foundation; either version 2, or (at your --
-- option) any later version. The XVIEW ADA library is  distributed  in the --
-- hope that it will be useful,  but WITHOUT ANY WARRANTY; without even the --
-- implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. --
-- See the GNU Library General Public License for more details.             --
-- You should have  received  a  copy of the  GNU  Library  General  Public --
-- License along with the XVIEW ADA library; see the file  COPYING.LIB.  If --
-- not, write to the Free  Software  Foundation, 675  Mass  Ave, Cambridge, --
-- MA 02139, USA.                                                           --
--                                                                          --
------------------------------------------------------------------------------

with Ada.Finalization,Xv_Base_Package,Xv_Frame_Package;
use  Ada.Finalization,Xv_Base_Package,Xv_Frame_Package;

package Xv_Font_Package is
  type Font is new Xv_opaque;

  type Font_Style is (DEFAULT,NORMAL,BOLD,ITALIC,
		      OBLIQUE,BOLD_ITALIC,BOLD_OBLIQUE);

  type Xv_Font (Owner : Frame; Fnt_Name : String_Ptr)
--  type Xv_Font (Owner : Frame := 0; Fnt_Name : String_Ptr := 
--		new String'("courier-12"))
  is new Controlled with private;

  type Xv_Font_Ptr is access all Xv_Font;

  procedure Initialize (V : in out Xv_Font);
  procedure Finalize   (V : in out Xv_Font);
  procedure Set_Size   (V : in out Xv_Font; Fnt_Size : Positive := 10);
  procedure Set_Style  (V : in out Xv_Font; Style : Font_Style);
  function  Get_Font   (V : in Xv_Font) return Font;

  private
  type xv_font (Owner : Frame; Fnt_Name : String_Ptr)
--  type xv_font (Owner : Frame := 0; Fnt_Name : String_Ptr := 
--		new String'("courier"))
  is new Controlled with
     record
	Parent    : Frame := Owner;
	Base      : Font;
	Font_Name : String_Ptr := Fnt_Name;
     end record;
end Xv_Font_Package;
